Subject: Re: [PATCH 16/18] netdevice zd1201: Convert directly reference of netdev->priv to netdev->ml_priv

From: "John W. Linville" <[email-masked]>
Date: Fri, 5 Sep 2008 08:56:27 -0400

On Fri, Sep 05, 2008 at 11:29:36AM +0800, Wang Chen wrote:
> We have some reasons to kill netdev->priv:
> 1. netdev->priv is equal to netdev_priv().
> 2. netdev_priv() wraps the calculation of netdev->priv's offset, obviously
>    netdev_priv() is more flexible than netdev->priv.
> But we cann't kill netdev->priv, because so many drivers reference to it
> directly.
> 
> OK, becasue Dave S. Miller said, "every direct netdev->priv usage is a bug",
> and I want to kill netdev->priv later, I decided to convert all the direct
> reference of netdev->priv first.
> 
> Different to readonly reference of netdev->priv, in this driver, netdev->priv
> was changed. I use netdev->ml_priv to replace netdev->priv.
> 
> Signed-off-by: Wang Chen <[email-masked]>

Same comment as the other patch.

Also, I have to be honest and say that I had never been aware of
dev->ml_priv before, so I'm not entirely sure what it is.  However,
from the comment at it's definision ("mid-layer private") and it's
usage in qeth, loopback, and ppp, I'm not at all sure that you are
using it as intended.

Can you explain?

Thanks,

John
-- 
John W. Linville
[email-masked]